#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ScalarUdfSeriesNode {
    #[builder(default, list(item(type = super::SeriesNode)))]
    #[serde(rename = "inputs", skip_serializing_if = "Vec::is_empty", default)]
    inputs: Vec<super::SeriesNode>,
    #[builder(
        custom(type = super::super::super::super::api::S3Handle, convert = Box::new)
    )]
    #[serde(rename = "artifactHandle")]
    artifact_handle: Box<super::super::super::super::api::S3Handle>,
    #[builder(
        custom(type = super::super::super::super::api::S3Handle, convert = Box::new)
    )]
    #[serde(rename = "manifestHandle")]
    manifest_handle: Box<super::super::super::super::api::S3Handle>,
    #[builder(custom(type = super::AlignmentConfiguration, convert = Box::new))]
    #[serde(rename = "alignmentConfiguration")]
    alignment_configuration: Box<super::AlignmentConfiguration>,
}
impl ScalarUdfSeriesNode {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        artifact_handle: super::super::super::super::api::S3Handle,
        manifest_handle: super::super::super::super::api::S3Handle,
        alignment_configuration: super::AlignmentConfiguration,
    ) -> Self {
        Self::builder()
            .artifact_handle(artifact_handle)
            .manifest_handle(manifest_handle)
            .alignment_configuration(alignment_configuration)
            .build()
    }
    #[inline]
    pub fn inputs(&self) -> &[super::SeriesNode] {
        &*self.inputs
    }
    #[inline]
    pub fn artifact_handle(&self) -> &super::super::super::super::api::S3Handle {
        &*self.artifact_handle
    }
    #[inline]
    pub fn manifest_handle(&self) -> &super::super::super::super::api::S3Handle {
        &*self.manifest_handle
    }
    #[inline]
    pub fn alignment_configuration(&self) -> &super::AlignmentConfiguration {
        &*self.alignment_configuration
    }
}
